Subject: bug#31113: mcron ERROR: In procedure mktime:

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 09 Apr 2018 21:02:27 -0400

Hi George,

George myglc2 Clemmer <[email-masked]> writes:

> Hello,
>
> somewhere between March ~17 (commit be5ed1421 gnu: Add terraform-docs.)
> and April ~5 (commit cfb55cfc4 gnu: Add java-native-access-platform.)
> mcron-service stopped working and started throwing errors like ...
>
> #+BEGIN_EXAMPLE
> ERROR: In procedure mktime:
> Wrong type (expecting exact integer): 45.0
> Backtrace:
>            4 (primitive-load "/gnu/store/422ngw911hz62510b33wdvrp1a6?")
>    In mcron/base.scm:
>       103:25  3 (add-job #<procedure 847880 at mcron/job-specifier.scm?> ?)
>    In mcron/job-specifier.scm:
>       251:32  2 (_ 1523292689)
>    In mcron/vixie-time.scm:
>       381:15  1 (_ _)
>    In unknown file:
>               0 (mktime #(0 45.0 +inf.0 9 3 118 1 98 1 14400 "EDT") #<u?>)
> ERROR: In procedure mktime:
> ...
> #+END_EXAMPLE
>
> Please see system config attached (my /etc/gen/x/010/sys.scm)
>
> TIA - George

It's of not much help I'm afraid, but FWIW, I'm also having issues since
I reconfigure a fresh guix from yesterday:

--8<---------------cut here---------------start------------->8---
Backtrace:
           8 (apply-smob/1 #<catch-closure 12258c0>)
In mcron/scripts/mcron.scm:
     81:2  7 (main _)
In ice-9/boot-9.scm:
   260:13  6 (for-each #<procedure 7ff2433a4a28 at mcron/scripts/mc?> ?)
   2312:4  5 (save-module-excursion _)
  3822:12  4 (_)
In mcron/base.scm:
   103:25  3 (add-job #<procedure 1202980 at mcron/job-specifier.sc?> ?)
In mcron/job-specifier.scm:
   251:32  2 (_ 1523321510)
     91:5  1 (bump-time #(0 51 20 9 3 118 1 98 1 14400 "EDT") _ #<p?> ?)
     63:4  0 (%find-best-next _ _)

mcron/job-specifier.scm:63:4: In procedure %find-best-next:
Throw to key `match-error' with args `("match" "no matching pattern"
0)'.
--8<---------------cut here---------------end--------------->8---

Maxim